> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lapyme.com.ar/llms.txt
> Use this file to discover all available pages before exploring further.

# Get check

> Retrieve current check data. source_receipt_id identifies the incoming customer receipt; null means unavailable, including unresolvable historical provenance.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/checks/{check_id}
openapi: 3.1.0
info:
  title: La Pyme API
  description: >-
    Resources and workflows for purchases, sales, inventory, contacts, products,
    reports, and settings.
  version: 1.0.0
  contact:
    name: La Pyme Support
    email: hola@lapyme.com.ar
  license:
    name: Proprietary
    url: https://lapyme.com.ar/terminos
servers:
  - url: https://api.lapyme.com.ar
    description: Servidor de producción
security:
  - bearerAuth: []
tags:
  - name: API
    description: Public API operations for La Pyme integrations.
paths:
  /api/v1/checks/{check_id}:
    get:
      tags:
        - API
      summary: Get check
      description: >-
        Retrieve current check data. source_receipt_id identifies the incoming
        customer receipt; null means unavailable, including unresolvable
        historical provenance.
      operationId: getApiCheck
      parameters:
        - name: check_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Get check
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApigetCheckResponse'
        '400':
          description: Invalid request, cursor or idempotency key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Invalid request, cursor or idempotency key
                      retryable: false
                      details: []
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Authentication required
                      retryable: false
                      details: []
        '403':
          description: Insufficient scope or membership
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Insufficient scope or membership
                      retryable: false
                      details: []
        '404':
          description: Resource not found or not visible
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Resource not found or not visible
                      retryable: false
                      details: []
        '409':
          description: Invalid transition or idempotency conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Invalid transition or idempotency conflict
                      retryable: false
                      details: []
        '422':
          description: Business requirement unmet
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Business requirement unmet
                      retryable: false
                      details: []
        '429':
          description: Límite de solicitudes excedido para la organización
          headers:
            Retry-After:
              description: Segundos a esperar antes de volver a intentar la solicitud.
              schema:
                type: string
                example: '30'
            X-RateLimit-Limit:
              description: Límite de la ventana activa.
              schema:
                type: string
                example: '5000'
            X-RateLimit-Remaining:
              description: Solicitudes restantes en la ventana activa.
              schema:
                type: string
                example: '0'
            X-RateLimit-Reset:
              description: Segundos restantes hasta el reset de la ventana activa.
              schema:
                type: string
                example: '30'
            RateLimit-Limit:
              description: Límite de la ventana activa en formato estándar.
              schema:
                type: string
                example: '5000'
            RateLimit-Remaining:
              description: Solicitudes restantes en la ventana activa en formato estándar.
              schema:
                type: string
                example: '0'
            RateLimit-Reset:
              description: >-
                Segundos hasta el reset de la ventana activa en formato
                estándar.
              schema:
                type: string
                example: '30'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: RATE_LIMITED
                  value:
                    request_id: req_rate_limit_1
                    error:
                      type: rate_limit_error
                      code: RATE_LIMITED
                      message: >-
                        The organization request limit was reached. Try again
                        later.
                      retryable: true
                      details: []
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Internal error
                      retryable: false
                      details: []
        '503':
          description: >-
            Verificación de credenciales temporalmente ocupada; reintentá sin
            cambiar la operación ni su Idempotency-Key.
          headers:
            Retry-After:
              description: >-
                Segundos de espera. La verificación de credenciales indica 1;
                otras dependencias pueden indicar otro valor.
              schema:
                type: string
                example: '1'
            Cache-Control:
              description: La verificación de credenciales indica no-store.
              schema:
                type: string
                example: no-store
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                authentication_capacity:
                  summary: Verificación temporalmente ocupada
                  value:
                    request_id: req_auth_capacity_1
                    error:
                      type: api_error
                      code: INTERNAL_ERROR
                      message: >-
                        La verificación de credenciales está ocupada. Reintentá
                        más tarde.
                      retryable: true
                      details: []
components:
  schemas:
    ApigetCheckResponse:
      type: object
      properties:
        request_id:
          type: string
        data:
          $ref: '#/components/schemas/ApiSharedObjectf061a22803'
      required:
        - request_id
        - data
      additionalProperties: false
    ApiErrorEnvelope:
      type: object
      properties:
        request_id:
          type: string
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - api_error
                - authentication_error
                - authorization_error
                - business_error
                - external_dependency_error
                - idempotency_error
                - invalid_request_error
                - rate_limit_error
            code:
              type: string
            message:
              type: string
            retryable:
              type: boolean
            details:
              type: array
              items:
                type: object
                properties:
                  field:
                    type: string
                  code:
                    type: string
                  message:
                    type: string
                  metadata:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type:
                        - string
                        - number
                        - boolean
                        - 'null'
                required:
                  - code
                  - message
                additionalProperties: false
          required:
            - type
            - code
            - message
            - retryable
            - details
          additionalProperties: false
      required:
        - request_id
        - error
      additionalProperties: false
    ApiSharedObjectf061a22803:
      type: object
      properties:
        object:
          type: string
          const: check
        id:
          type: string
          format: uuid
        number:
          type: string
        bank_name:
          type: string
        issuer_name:
          type:
            - string
            - 'null'
        amount:
          type: integer
        currency:
          $ref: '#/components/schemas/ApiSharedEnumffb4886f2b'
        issue_date:
          type: string
          format: date
        due_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
        format:
          $ref: '#/components/schemas/ApiSharedEnumbf6bff0c7b'
        origin:
          $ref: '#/components/schemas/ApiSharedEnum438903e38d'
        status:
          $ref: '#/components/schemas/ApiSharedEnumde43f3da4c'
        source_receipt_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
        supplier_payment_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
        check_deposit_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - object
        - id
        - number
        - bank_name
        - issuer_name
        - amount
        - currency
        - issue_date
        - due_date
        - format
        - origin
        - status
        - source_receipt_id
        - supplier_payment_id
        - check_deposit_id
        - created_at
        - updated_at
      additionalProperties: false
    ApiSharedEnumffb4886f2b:
      type: string
      enum:
        - ARS
        - USD
    ApiSharedEnumbf6bff0c7b:
      type: string
      enum:
        - paper
        - electronic
    ApiSharedEnum438903e38d:
      type: string
      enum:
        - third_party
        - own
    ApiSharedEnumde43f3da4c:
      type: string
      enum:
        - received
        - deposited
        - discounted
        - cleared
        - endorsed
        - issued
        - returned
        - void
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Incluí tu API key en el header Authorization con el prefijo Bearer.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.